Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::RackUnitInfo Struct Reference

Infos for a single rack unit. More...

## Public Attributes
int | rackUnitNumber
| The rack unit index for the settings, range 0..rackUnitCount-1.
int | rackUnitPosition
| resulting rack unit position (display number)
TagType | type
| type of the asset tag (single, extension, none or unknown)
int | size
| blade extension size (4,8,16), 1 for single tags or 0 if nothing connected
AssetStripConfig::RackUnitSettings | settings
| settings for a single rack unit
int | assetStripCascadePosition
| number of strip in cascade
int | rackUnitRelativePosition
| relative position to strip
int | assetStripNumberOfRackUnits
| number of rack units in strip that this rack unit belongs to

## Detailed Description

Infos for a single rack unit.

In case no asset strip is connected, type defaults to single and size defaults to 1

The documentation for this struct was generated from the following file:

- AssetStrip.idl